import {
  edoEuler,
  edoPontoMedio,
  edoEulerMod,
  edoRungeKutta4,
  sistemaEdoEuler,
  sistemaEdoEulerMod,
  sistemaEdoPontoMedio,
  sistemaEdoRk4,
  simpson1,
  simpson2,
  trapezio,
  lagrangeFunc,
  poliNewton,
  poliNewtonFunc,
  mmq,
  taylorCosseno,
  taylorSeno,
  taylorExp,
  bisseccao,
  falsaPosicao,
  newton,
  secante,
  decomposicaoLu,
  jacobiRichardson,
  gaussSeidel,
} from './metodosNumericos'

export const funcoes = [
  {
    edoEuler: edoEuler,
    edoPontoMedio: edoPontoMedio,
    edoEulerMod: edoEulerMod,
    edoRungeKutta4: edoRungeKutta4,
    sistemaEdoEuler: sistemaEdoEuler,
    sistemaEdoEulerMod: sistemaEdoEulerMod,
    sistemaEdoPontoMedio: sistemaEdoPontoMedio,
    sistemaEdoRk4: sistemaEdoRk4,
    simpson1: simpson1,
    simpson2: simpson2,
    trapezio: trapezio,
    lagrangeFunc: lagrangeFunc,
    poliNewton: poliNewton,
    poliNewtonFunc: poliNewtonFunc,
    mmq: mmq,
    taylorCosseno: taylorCosseno,
    taylorSeno: taylorSeno,
    taylorExp: taylorExp,
    bisseccao: bisseccao,
    falsaPosicao: falsaPosicao,
    newton: newton,
    secante: secante,
    decomposicaoLu: decomposicaoLu,
    jacobiRichardson: jacobiRichardson,
    gaussSeidel: gaussSeidel,
  },
]
